{
   "mappings": {
        "properties": {
        "is_online":{"type":"boolean"},
        "id":{"type":"long"},
        "article_id":{"type":"long"},
        "smart_rank":{"type":"long"},
        "title":{"type":"text","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //专栏标题
        "content":{"type":"text","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //专栏内容
        // 相关推荐,得分
        "recommend_score": {"type": "double"},
        "tag_ids":{"type":"long"},
        "tags":{"type":"text","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //tags
        // 新标签
        "fresh_tag_ids":{"type":"long"},
        "fresh_tags":{"type":"text","analyzer":"gm_default_index","search_analyzer":"gm_default_search"}, //tags
        "user":{
            "type":"object",
            "properties":{
                "id":{"type":"long"}
            }
        },
        "ask": {
            "type": "text",
            "analyzer": "gm_default_index",
            "search_analyzer": "gm_default_index",
            "index_options": "offsets"
        },
        //专栏副标题
        "title_pre": {
            "type": "text",
            "analyzer": "gm_default_index",
            "search_analyzer": "gm_default_index",
            "index_options": "offsets"
        },
        "content_pre": {
            "type": "text",
            "analyzer": "gm_default_index",
            "search_analyzer": "gm_default_index",
            "index_options": "offsets"
        },
        "content_keyword":{"type":"keyword"},
        "content_star_keyword":{"type":"keyword"},
        "content_star_first_keyword":{"type":"keyword"},
        "title_keyword":{"type":"keyword"},
        "tags_v3": {"type": "text", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 新标签
        "tagv3_ids": {"type": "long"}, //新标签id集合
        "first_demands": {"type": "text", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 1级诉求
        "second_demands": {"type": "text", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 2级诉求
        "first_solutions": {"type": "text", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 1级方式
        "second_solutions": {"type": "text", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 2级方式
        "positions": {"type": "text", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 部位
        "second_positions": {"type": "text", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, // 2级部位
        "tagv3_ids": {"type": "long"}, //新标签id集合
        "first_demands_ids": {"type": "long"},
        "second_demands_ids": {"type": "long"},
        "first_solutions_ids": {"type": "long"},
        "second_solutions_ids": {"type": "long"},
        "first_positions_ids": {"type": "long"},
        "second_positions_ids": {"type": "long"},
        "first_classify_ids": {"type": "long"}, //新标签一级分类id集合
        "second_classify_ids": {"type": "long"}, //新标签二级分类id集合
        "first_classify_names": {"type": "text", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}, //新标签一级分类名称集合
        "second_classify_names": {"type": "text", "analyzer": "gm_default_index", "search_analyzer": "gm_default_search"}//新标签二级分类名称集合

    }
   }
}

